;Variable Usage
;var(7) Super Cancellable?
;var(8) Jump Cancellable?
;var(9) Special Cancellable?
;var(14) timing for pause, winpose
;var(16) Winpose
;var(18) Charge


;---------------------------------------------------------------------------
; Lose by Time Over
; CNS difficulty: basic
; CNS x: {
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
; CNS x: {
[Statedef 180]
type = S

[State 180]
type = changestate
trigger1 = matchover
value = 181

[State 180]
type = changestate
trigger1 = !matchover
value = 182

[State 180, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1


[Statedef 181]
anim = 180
sprpriority = 1

[State 181, Effect]
type = explod
trigger1 = animelemtime(3) = 2
anim = 181
ID = 181
pos = 0,0
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 181, PalFX]
type = PalFX
trigger1 = animelemtime(3) = 0
time = 28
sinadd = 255,255,255,112

[State 181, PalFX]
type = PalFX
trigger1 = animelemtime(5) >= -1
trigger1 = animelemtime(5) < 17
time = 1
add = ceil(256*sin(pi/2 + 2*pi*(animelemtime(5)+1)/64)),ceil(256*sin(pi/2 + 2*pi*(animelemtime(5)+1)/64)),ceil(256*sin(pi/2 + 2*pi*(animelemtime(5)+1)/64))

[State 181, Effect]
type = PlaySnd
trigger1 = animelemtime(3) = 2
value = 180, 1

[State 181, Talk]
type = PlaySnd
trigger1 = animelemtime(10) = 0
value = 180, 0
channel = 1
volume = 255

[State 181, Winpose]
type = assertspecial
trigger1 = time < 331
flag = roundnotover

[State 181, Misc]
type = assertspecial
trigger1 = 1
flag = nobardisplay

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[Statedef 182]
anim = 182
sprpriority = 1

[State 182, Winpose]
type = assertspecial
trigger1 = time < 332
flag = roundnotover

[State 182, Misc]
type = assertspecial
trigger1 = 1
flag = nobardisplay

[State 181, Whoosh]
type = PlaySnd
trigger1 = animelemtime(2) = 0
value = 0, 0

[State 181, Talk]
type = PlaySnd
trigger1 = animelemtime(2) = 0
value = 210, 0
channel = 1
volume = 255

[State 181, Whoosh]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 0, 2

[State 181, Talk]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 220, 0
channel = 1
volume = 255

[State 182, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Introduction
; CNS difficulty: basic
; CNS x: {
[Statedef 191]
type = S
ctrl = 0
velset = 0,0

[State 191, Intro]
type = Changestate
trigger1 = time = 0
value = 192

[State 191, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[Statedef 192]
anim = 190
sprpriority = 1

[State 192, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 192, Intro]
type = assertspecial
trigger1 = anim = 190
flag = intro

[State 192, Effect1]
type = explod
trigger1 = time = 12
anim = 191
ID = 191
pos = 6,-19
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Effect1]
type = explod
trigger1 = time = 12
anim = 193
ID = 193
pos = 6,-19
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Effect1]
type = explod
trigger1 = time = 15
anim = 192
ID = 192
pos = 19,-24
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Effect1]
type = explod
trigger1 = time = 18
anim = 194
ID = 194
pos = 19,-24
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Shock]
type = PlaySnd
trigger1 = Time = 21
value = 190, 0

[State 192, Effect2]
type = explod
trigger1 = time = 21
anim = 196
ID = 196
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Effect2]
type = explod
trigger1 = time = 27
anim = 195
ID = 195
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 2

[State 192, Talk]
type = PlaySnd
trigger1 = Time = 150
value = 190, 1
channel=1
volume = 255

[State 192, End]
type = ChangeAnim
trigger1 = anim = 190
trigger1 = AnimTime = 0
value = 0

;---------------------------------------------------------------------------
; Chop
; CNS difficulty: easy
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 200, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.2
trigger1 = fvar(4) := 0.05

[State 200, 1]
type = HitDef
trigger1 = time = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 17, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = HAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 7, 4                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the opponent slides back
guard.slidetime = 8
ground.hittime  = 12             ;Time opponent is in hit state
ground.velocity = -7.65384646*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -9.2452404*const(size.xscale)
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-2
p2stateno = 5072
air.fall = 1
fall.recovertime = 7

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Small Spark"
ID = 11000+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front), ceil(-151*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, 1]
type = PlaySnd
trigger1 = animelemtime(2) = 0
value = 0,0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
trigger1 = random = [0,390]
value = 200, random%3
channel=1
volume = 255

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Low Kick
; CNS difficulty: easy
[Statedef 230]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 230                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 230, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.09
trigger1 = fvar(4) := 0.09

[State 230, 1]
type = HitDef
trigger1 = time = 6
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 24, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = LA                   ;Flags on how move is to be guarded against
hitflag = MA                     ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 5                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 9             ;Time that the opponent slides back
guard.slidetime = 9
ground.hittime  = 11             ;Time opponent is in hit state
ground.velocity = -7.9999*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -8.75344667*const(size.xscale)

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Small Spark"
ID = 11000+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front), ceil(-49*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, 1]
type = PlaySnd
trigger1 = animelemtime(3) = 0
value = 0,0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 200, random%3
channel=1
volume = 255

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 210]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 3                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 210                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 200, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.09
trigger1 = fvar(4) := 0.09

[State 210, 1]
type = HitDef
trigger1 = time = 7
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 40, 0                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 11, 9               ;Time attacker pauses, time opponent shakes
guard.pausetime = 11,9
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 1                  ;Sound to play on hit
guardsound = S11, 1                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 14             ;Time that the opponent slides back
guard.slidetime = 13
ground.velocity = -11.7545*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -12.715356447*const(size.xscale)
ground.hittime = 16
air.velocity = -4.5,-2           
p2stateno = 5072
air.fall = 1
fall.recovertime = 11

[State 210, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Medium Spark"
ID = 11001+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-133*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 210, 1]
type = PlaySnd
trigger1 = animelemtime(3) = 0
value = 0,1

[State 210, 3]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 210, random%3
channel=1
volume = 255

[State 210, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Axe Kick
; CNS difficulty: easy
[Statedef 240]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 240                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 240, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.3
trigger1 = fvar(4) := 0.13

[State 240, 1]
type = HitDef
trigger1 = time = 11
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 60, 0                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = H                    ;Flags on how move is to be guarded against
hitflag = HAF                    ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 11,9                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 12,11
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the opponent slides back
guard.slidetime = 13
ground.hittime  = 17             ;Time opponent is in hit state
ground.velocity = -11.55596*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -12.715356447*const(size.xscale)
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-4.5           
p2stateno = 5072
air.fall = 1
fall.recovertime = 12

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Medium Spark"
ID = 11001+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front), ceil(-207*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, 1]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 0,2

[State 200, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 210, random%3
channel=1
volume = 255

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 220]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 220                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 200, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 220, Forward!]
type = velset
trigger1 = animelemtime(3) = 0
x = 1.5

[State 220, 1]
type = HitDef
trigger1 = time = 12
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 80, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                    ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 13, 11                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 14,12
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 2                  ;Sound to play on hit
guardsound = S11, 2                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 19             ;Time that the opponent slides back
guard.slidetime = 20
ground.hittime  = 21             ;Time opponent is in hit state
ground.velocity = -15.8816966*const(size.xscale)    ;Velocity at which opponent is pushed
guard.velocity = -17.0170738*const(size.xscale)
air.type = Low                   ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -4.5,-2           
p2stateno = 5072
air.fall = 1
fall.recover = 0

[State 220, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Heavy Spark"
ID = 11002+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-10, ceil(-133*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 220, 1]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 0,3

[State 220, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 220, random%3
channel=1
volume = 255

[State 220, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 400]
type    = C                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = C                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 400                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 400, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.3
trigger1 = fvar(4) := 0.05

[State 400, 1]
type = HitDef
trigger1 = time = 4
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 20, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = H                    ;Flags on how move is to be guarded against
hitflag = MFD                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 7, 4                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,5
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
sparkxy = -10, -24               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = Low                ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 11             ;Time that the opponent slides back
guard.slidetime = 9
ground.hittime  = 13              ;Time opponent is in hit state
ground.velocity = -7.38239*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -8.75344656*const(size.xscale)
down.velocity = -6.5,-.5

[State 400, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Small Spark"
ID = 11000+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front), ceil(-23*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 400, 1]
type = PlaySnd
trigger1 = animelemtime(2) = 0
value = 0,0

[State 400, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 200, random%3
channel=1
volume = 255

[State 400, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 410]
type    = C                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = C                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 410                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 410, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.13
trigger1 = fvar(4) := 0.13

[State 410, 1]
type = HitDef
trigger1 = time = 9
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 47, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 12, 8                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 11,10
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
sparkxy = -15, -89               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S10, 1                  ;Sound to play on hit
guardsound = S11, 1                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the opponent slides back
guard.slidetime = 13
ground.hittime  = 17             ;Time opponent is in hit state
ground.velocity = -11.55596*const(size.xscale)        ;Velocity at which opponent is pushed
guard.velocity = -12.715356447*const(size.xscale)
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-2           
p2stateno = 5072
air.fall = 1
fall.recovertime = 12

[State 410, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Medium Spark"
ID = 11001+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-89*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 410, 1]
type = PlaySnd
trigger1 = animelemtime(3) = 0
value = 0,1

[State 410, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 210, random%3
channel=1
volume = 255

[State 410, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 420]
type    = C                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = C                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
;velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 420                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 420, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 220, Forward!]
type = velset
trigger1 = animelemtime(3) = 0
x = 3.2

[State 420, 1]
type = HitDef
trigger1 = time = 14
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 67, 0                   ;Damage that move inflicts, guard damage
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = L                    ;Flags on how move is to be guarded against
hitflag = M                      ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
id = 420
pausetime = 11, 10                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 11,12
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
sparkxy = -20, -35               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S10, 2                  ;Sound to play on hit
guardsound = S11, 2                ;Sound to play on guard
ground.type = Trip               ;Type: High, Low, Trip (def: Normal)
ground.hittime  = 40              ;Time opponent is in hit state
guard.slidetime = 19
ground.velocity = -1.92826,-5.06          ;Velocity at which opponent is pushed
guard.velocity = -16.38620176*const(size.xscale)
fall = 1
fall.recover = 0
p2stateno = 5072
down.bounce = 1
down.velocity = -8, 0
down.hitttime = 20
down.cornerpush.veloff = -20

[State 420, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Heavy Spark"
ID = 11002+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-15, ceil(-14*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 420, 1]
type = PlaySnd
trigger1 = animelemtime(5) = 0
value = 0,2

[State 420, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 220, random%3
channel=1
volume = 255

[State 420, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = A                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 600                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 600, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.05
trigger1 = fvar(4) := 0.05

[State 600, 1]
type = HitDef
trigger1 = time = 4
attr = A, NA                     ;Attribute: Standing, Normal Attack
damage = 20, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 4, 6                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
sparkxy = -10, -73               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the opponent slides back
guard.slidetime = 9
ground.hittime  = 12             ;Time opponent is in hit state
ground.velocity = -7.653846*const(size.xscale)            ;Velocity at which opponent is pushed
guard.velocity = -8.75344656*const(size.xscale)
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-4           
p2stateno = 5072
air.fall = 1
fall.recovertime = 7

[State 600, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Small Spark"
ID = 11000+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front),ceil(-136*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 600, 1]
type = PlaySnd
trigger1 = anim = 600
trigger1 = animelemtime(2) = 0
value = 0,0

[State 600, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 200, random%3
channel=1
volume = 255

[State 600, Ctrl]
type = ctrlset
trigger1 = anim = 600
trigger1 = animtime = 0
value = 1

[State 600, 7]
type = Changeanim
trigger1 = anim = 600
trigger1 = AnimTime = 0
value = 44
elem = 6

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 610]
type    = A                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = A                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 610                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 610, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=1 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.09
trigger1 = fvar(4) := 0.09

[State 610, 1]
type = HitDef
trigger1 = time = 6
attr = A, NA                     ;Attribute: Standing, Normal Attack
damage = 40, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 9                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 12,11
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
sparkxy = -15, -76               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S10, 1                  ;Sound to play on hit
guardsound = S11, 1                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 14             ;Time that the opponent slides back
ground.hittime  = 16             ;Time opponent is in hit state
ground.velocity = -11.754507*const(size.xscale)   ;Velocity at which opponent is pushed
guard.slidetime = 13
guard.velocity = -12.715356447*const(size.xscale)
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-4           
p2stateno = 5072
air.fall = 1
fall.recovertime = 11

[State 610, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Medium Spark"
ID = 11001+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-5,ceil(-91*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 610, 1]
type = PlaySnd
trigger1 = anim = 610
trigger1 = animelemtime(4) = 0
value = 0,1

[State 610, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 210, random%3
channel=1
volume = 255

[State 610, Ctrl]
type = ctrlset
trigger1 = anim = 610
trigger1 = animtime = 0
value = 1

[State 610, 7]
type = Changeanim
trigger1 = anim = 610
trigger1 = AnimTime = 0
value = 44
elem = 6

;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 620]
type    = A                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = A                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 620                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 620, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 620, 1]
type = HitDef
trigger1 = time = 10
attr = A, NA                     ;Attribute: Standing, Normal Attack
damage = 80, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 11, 10                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 12,12
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 2                  ;Sound to play on hit
guardsound = S11, 2                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 17             ;Time that the opponent slides back
ground.hittime  = 19             ;Time opponent is in hit state
guard.slidetime = 17
ground.velocity = -15.523757*const(size.xscale)     ;Velocity at which opponent is pushed
guard.velocity = -16.3723127*const(size.xscale)
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -3.5,-3           
p2stateno = 5072
air.fall = 1
fall.recovertime = 14

[State 620, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Heavy Spark"
ID = 11002+ifelse(moveguarded,100,0)
postype = p2
pos = target,const(size.ground.front)-15,ceil(-58*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 620, 1]
type = PlaySnd
trigger1 = anim = 620
trigger1 = animelemtime(4) = 0
value = 0,2

[State 620, 1]
type = PlaySnd
trigger1 = Time = 3
trigger1 = random = [0,390]
value = 210, random%3
channel=1
volume = 255

[State 620, Ctrl]
type = ctrlset
trigger1 = anim = 620
trigger1 = animtime = 0
value = 1

[State 620, 7]
type = Changeanim
trigger1 = anim = 620
trigger1 = AnimTime = 0
value = 44
elem = 6


;---------------------------------------------------------------------------
; Charging Back Press
[Statedef 250]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 3                      ;Number of air juggle points move takes
;Commonly-used controllers:
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 250                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State 250, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 250, FIRE]
type = changeanim
triggerall = anim = 250
triggerall = var(18) := time
trigger1 = animtime = 0
trigger2 = animelemtime(3)>= 0
trigger2 = command != "holdz"
value = 251

[State 250, Statetype]
type = statetypeset
trigger1 = anim = 251
physics = N
persistent = 0

[State 250, Forward!]
type = velset
trigger1 = anim = 251
x = 10.625 + (var(18)/26.0)*5.0
persistent = 0

[State 250, Friction]
type = veladd
trigger1 = anim = 251
trigger1 = vel X > 1.00
x = -1.005 - (var(18)/26.0)*.495

[State 250, Friction]
type = veladd
trigger1 = anim = 251
trigger1 = vel X <= 1.00
trigger1 = vel X > .50
x = -.025 + (var(18)/26.0)*.015

[State 250, Friction]
type = velset
trigger1 = anim = 251
trigger1 = vel X <= .50
x = 0

[State 250, 1]
type = HitDef
trigger1 = anim = 251
trigger1 = animelem = 3
ID = 250
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 80, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = M                    ;Flags on how move is to be guarded against
hitflag = MAFD                   ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 8                 ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
p2facing = 1
hitsound = S10, 2                  ;Sound to play on hit
guardsound = -1                ;Sound to play on guard
guard.hittime = 17
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 20             ;Time that the opponent slides back
ground.hittime  = 22             ;Time opponent is in hit state
ground.velocity = -8,0           ;Velocity at which opponent is pushed
air.velocity = -8, -3
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = Low                   ;Type: High, Low, Trip (def: same as ground.type)
air.hittime = 12                 ;Time before opponent regains control in air
fall = 1
down.velocity = -16, 0
down.hitttime = 20
down.cornerpush.veloff = -20
nochainID = 250

[state 250, Play Sound]
type = playsnd
trigger1 = moveguarded=1
value = ifelse(var(18)<26,11,10),ifelse(var(18)<26,3,4)
persistent = 0
ignorehitpause = 1

[State 250, hitspark]
type = helper
trigger1 = time
trigger1 = movehit
name = "Heavy Spark"
ID = 11004
postype = p2
pos = target,const(size.ground.front)-15,-67-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 250, guardspark]
type = helper
trigger1 = time
trigger1 = moveguarded
trigger1 = var(18) < 26
name = "Heavy Spark"
ID = 11104
postype = p2
pos = target,const(size.ground.front)-15,-67-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 250, breakspark]
type = helper
trigger1 = time
trigger1 = moveguarded
trigger1 = var(18) >= 26
name = "Break Spark"
ID = 11003
postype = p2
pos = target,const(size.ground.front)-15,-67-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 250, 2]
type = TargetState
triggerall = NumTarget
triggerall = target, statetype != L
trigger1 = movehit
trigger2 = movecontact
trigger2 = var(18) >= 26
value = 2000
persistent = 0
ignorehitpause = 1

[State 250, Explod]
type = explod
trigger1 = anim = 250
trigger1 = animelemtime(3) = 0
anim = 11020
ID = 250
pos = ceil(-11*const(size.xscale)),ceil(-138*const(size.yscale))
bindtime = -1
sprpriority = 3
shadow = -1
scale = const(size.xscale),const(size.yscale)
removeongethit = 1
pausemovetime = 65535

[State 250, 1]
type = PlaySnd
trigger1 = anim = 250
trigger1 = animelemtime(3) = 0
value = 2000,0
channel = 5

[State 250, RemoveExplod]
type = removeexplod
trigger1 = anim = 251
ID = 250
persistent = 0

[State 250, Explod]
type = explod
trigger1 = anim = 251
trigger1 = var(18) > 7
anim = 11021
ID = 250
pos = ceil(-11*const(size.xscale)),ceil(-138*const(size.yscale))
bindtime = 1
sprpriority = 3
shadow = -1
scale = const(size.xscale),const(size.yscale)
persistent = 0
pausemovetime = 65535

[State 250, 1]
type = PlaySnd
trigger1 = anim = 251
trigger1 = animelemtime(2) = 0
value = 0,3

[State 250, 1]
type = StopSnd
trigger1 = anim = 251
channel = 5
persistent = 0

[State 250, 1]
type = PlaySnd
trigger1 = anim = 251
value = 250, 0
channel=1
volume = 255
persistent = 0

[State 250, 7]
type = ChangeState
trigger1 = anim = 251
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Charging Uppercut
; CNS difficulty: easy
[Statedef 450]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = N                      ;Physics: S-stand, C-crouch, A-air
juggle  = 3                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 450                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State 450, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 450, FIRE]
type = changeanim
triggerall = anim = 450
triggerall = var(18) := time
trigger1 = animtime = 0
trigger2 = animelemtime(3)>= 0
trigger2 = command != "holdz"
value = 451

[State 450, Forward!]
type = velset
trigger1 = anim = 451
x = 1.1 + (var(18)/23.0)*.4
persistent = 0

[State 450, Friction]
type = veladd
trigger1 = anim = 451
trigger1 = vel X > 0
x = -.04 - (var(18)/23.0)*.01

[State 450, Friction]
type = velset
trigger1 = anim = 451
trigger1 = animelemtime(6) = 0
trigger1 = vel x > 0
x = 0

[State 450, 1]
type = HitDef
trigger1 = anim = 451
trigger1 = animelem = 3
ID = 430
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 80, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = M                    ;Flags on how move is to be guarded against
hitflag = MAFD                   ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 15, 15               ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
p2facing = 1
hitsound = S10, 3                  ;Sound to play on hit
guardsound = -1                ;Sound to play on guard
guard.hittime = 17
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 20             ;Time that the opponent slides back
ground.hittime  = 22             ;Time opponent is in hit state
ground.velocity = -8,0           ;Velocity at which opponent is pushed
air.velocity = -8, -3
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = Low                   ;Type: High, Low, Trip (def: same as ground.type)
air.hittime = 12                 ;Time before opponent regains control in air
fall = 1
fall.recovertime = 60
nochainID = 430
down.velocity = -16, 0
down.hitttime = 20
down.cornerpush.veloff = -20

[state 450, Play Sound]
type = playsnd
trigger1 = moveguarded=1
value = ifelse(var(18)<23,11,10),ifelse(var(18)<23,3,4)
persistent = 0
ignorehitpause = 1

[State 450, hitspark]
type = helper
trigger1 = time
trigger1 = movehit
name = "Heavy Spark"
ID = 11005
postype = p2
pos = target,const(size.ground.front)-10,-110-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 450, guardspark]
type = helper
trigger1 = time
trigger1 = moveguarded
trigger1 = var(18) < 23
name = "Heavy Spark"
ID = 11102
postype = p2
pos = target,const(size.ground.front)-10,-110-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 450, breakspark]
type = helper
trigger1 = time
trigger1 = moveguarded
trigger1 = var(18) >= 23
name = "Break Spark"
ID = 11003
postype = p2
pos = target,const(size.ground.front)-10,-110-ceil(p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 450, 2]
type = TargetState
triggerall = NumTarget
triggerall = target, statetype != L
trigger1 = movehit
trigger2 = movecontact
trigger2 = var(18) >= 23
value = 431
persistent = 0
ignorehitpause = 1

[State 450, 1]
type = PlaySnd
trigger1 = anim = 450
trigger1 = animelemtime(3) = 0
value = 2000,0
channel = 5

[State 450, Explod]
type = explod
trigger1 = anim = 450
trigger1 = animelemtime(3) = 0
anim = 11020
ID = 450
pos = ceil(-9*const(size.xscale)),ceil(-114*const(size.yscale))
bindtime = -1
sprpriority = 3
shadow = -1
scale = const(size.xscale),const(size.yscale)
removeongethit = 1
pausemovetime = 65535

[State 450, RemoveExplod]
type = removeexplod
trigger1 = anim = 451
id = 450
persistent = 0

[State 450, Explod]
type = explod
trigger1 = anim = 451
trigger1 = var(18) > 6
anim = 11021
ID = 450
pos = ceil(-9*const(size.xscale)),ceil(-114*const(size.yscale))
bindtime = 1
sprpriority = 3
shadow = -1
scale = const(size.xscale),const(size.yscale)
persistent = 0
pausemovetime = 65535

[State 450, Stopsnd]
type = stopsnd
trigger1 = anim = 451
channel = 5
persistent = 0

[State 450, 1]
type = PlaySnd
trigger1 = anim = 451
trigger1 = animelemtime(3) = 0
value = 0,4

[State 450, 1]
type = PlaySnd
trigger1 = anim = 451
trigger1 = var(18) < 23
value = 450, 0
channel=1
persistent = 0
volume = 255

[State 450, 1]
type = PlaySnd
trigger1 = anim = 451
trigger1 = var(18) >= 23
value = 450, 1
channel=1
persistent = 0
volume = 255

[State 450, 7]
type = ChangeState
trigger1 = anim = 451
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;Ohnoes
[Statedef 431]
type = A
movetype = H
physics = N
ctrl = 0
anim = 5002
velset = 0,0

[State 231, Vel]
type = velset
trigger1 = hitshakeover
y = -13
x = ifelse(facing != enemy,facing,-.3,.3)
persistent = 0

[State 431, Anim]
type = changeanim
trigger1 = time = 0
value = 5030

[State 5000, 4] ;Freeze anim
type = ChangeAnim
trigger1 = !hitshakeover
value = anim

[State 431, Gravity]
type = veladd
trigger1 = hitshakeover
y = .4

[State 5030, 5]
type = SelfState
trigger1 = anim = 5030
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)