;===========================
;Rock Turtle
[Statedef 3000]
type = S
physics = S
movetype = A
sprpriority = 2
anim = ifelse(var(10)=1,3000,ifelse(var(10)=2,3006,3007))
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.05
trigger1 = fvar(4) := 0.05

[State 3000, Move It!]
type = velset
trigger1 = animelemtime(4) >= 0
trigger1 = animelemtime(7) < 0
x = ifelse(var(10)=1,5.00,ifelse(var(10)=2,8.75,12.50))

[State 3000, Stop It!]
type = velset
trigger1 = animelemtime(7) >= 0
x = 0.00

[State 3000, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State 3000, Hitdef]
type = HitDef
trigger1 = time = ifelse(var(10)=1,12,ifelse(var(10)=2,17,22))
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage = 14, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 7, 9                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 13             ;Time that the opponent slides back
guard.slidetime = 8
ground.hittime  = 15             ;Time opponent is in hit state
ground.velocity = -10.5142279*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -9.2452404*const(size.xscale)
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-2           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.fall = 1
fall.recover = 10

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-112*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3000, Swish]
type = playsnd
trigger1 = animelemtime(5) = 0
value = 0,2

[State 3000, Talk]
type = playsnd
trigger1 = animelemtime(4) = 0
value = 200,1
channel = 1
volume = 255

[State 3000, Next!]
type = changestate
triggerall = time
triggerall = command = "Rock Turtle X" || command = "Rock Turtle Y" || command = "Rock Turtle Z"
trigger1 = var(2) && movecontact
trigger2 = animelemtime(7) = 4
value = 3001

[State 3000, End It!]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;Rock Turtle Continuation
[Statedef 3001]
type = S
physics = N
movetype = A
sprpriority = 2
anim = 3001
ctrl = 0

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.05
trigger1 = fvar(4) := 0.00

[State 3001, Move It!]
type = velset
trigger1 = animelemtime(2) = 0
x = 3.875

[State 3001, Move It!]
type = veladd
trigger1 = animelemtime(2) > 0
trigger1 = animelemtime(7) < 0
x = -.025

[State 3001, Stop It!]
type = velset
trigger1 = animelemtime(7) = 0
x = 0.00

[State 3001, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State 3001, Hitdef]
type = HitDef
trigger1 = time = 12
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage = 27, 0                   ;Damage that move inflicts, guard damage
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 4, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 11, 9                 ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 13             ;Time that the opponent slides back
guard.slidetime = 8
ground.hittime  = 15             ;Time opponent is in hit state
ground.velocity = -11.0329435*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -9.2452404*const(size.xscale)
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.8,-2           ;X-velocity at which opponent is pushed,
fall.recover = 10

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-147*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3001, Swish]
type = playsnd
trigger1 = animelemtime(5) = 0
value = 0,2

[State 3001, Talk]
type = playsnd
trigger1 = animelemtime(2) = 0
value = 220,0
channel = 1
volume = 255

[State 3001, Next!]
type = changestate
triggerall = time
triggerall = command = "Rock Turtle X" || command = "Rock Turtle Y" || command = "Rock Turtle Z"
trigger1 = var(2) && movecontact
trigger2 = animelemtime(6) >= 0
value = 3002

[State 3001, End It!]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;Rock Turtle Finish
[Statedef 3002]
type = S
physics = N
movetype = A
sprpriority = 2
anim = 3002
ctrl = 0
velset = 0,0

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.09
trigger1 = fvar(4) := 0.05

[State 3002, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State 3002, Effect]
type = explod
trigger1 = animelemtime(4) = 0
anim = 3003
ID = 1
removeongethit = 1
vel = .5,0
bindtime = 6
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 3
ignorehitpause = 0

[State 3002, Hitdef]
type = HitDef
trigger1 = time = 14
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage = 60, 0                   ;Damage that move inflicts, guard damage
animtype = Back                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 28, 25                ;Time attacker pauses, time opponent shakes
guard.pausetime = 6,6
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 13             ;Time that the opponent slides back
guard.slidetime = 8
ground.hittime  = 40             ;Time opponent is in hit state
ground.velocity = -7.65384646*const(size.xscale)             ;Velocity at which opponent is pushed
guard.velocity = -9.2452404*const(size.xscale)
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
fall = 1
fall.recover = 0

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-141*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3002, Swish]
type = playsnd
trigger1 = animelemtime(5) = 0
value = 0,4

[State 3002, Talk]
type = playsnd
trigger1 = animelemtime(5) = 0
value = 3000,0
channel = 1
volume = 255

[State 3002, WallHit]
type = TargetState
triggerall = NumTarget
trigger1 = movehit
value = 2000
persistent = 0
ignorehitpause = 1

[State 3002, End It!]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;Backflip
[Statedef 3050]
type = A
physics = N
movetype = I
sprpriority = 2
anim = 3050
ctrl = 0
velset = -3.5,-2.64

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 3050, Cancels]
type = null
trigger1 = var(9):=1 ;Special Cancel?
trigger1 = var(8):=0 ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State 3050, Move It!]
type = velset
trigger1 = animelemtime(4) = 3
x = -3.0
y = -2.64

[State 3050, Talk]
type = playsnd
trigger1 = time = 1
value = 3050,0
channel = 1
volume = 255

[State 3050, Gravity]
type = veladd
trigger1 = pos y < 0
y = .44

[State 3050, Gravity]
type = velset
trigger1 = vel y > 0
trigger1 = pos y >= 0
y = 0

[State 3050, Fix]
type = posset
trigger1 = pos y > 0
y = 0

[State 3050, Stop It!]
type = velset
trigger1 = animelemtime(7) = 0
x = -1.9

[State 3050, Stop It!]
type = veladd
trigger1 = animelemtime(7) > 0
x = -.1

[State 3050, Stop It!]
type = velset
trigger1 = animelemtime(3) = 0
trigger2 = animelemtime(8) = 0
x = 0.00

[State 3050, VarSet]
type = varset
trigger1 = vel y != 0
v = 2
value = 0

[State 3050, VarSet]
type = varset
trigger1 = vel y = 0
trigger1 = pos y = 0
v = 2
value = 1

[State 3050, Land]
type = playsnd
trigger1 = animelemtime(3) = 0
trigger2 = animelemtime(7) = 0
value = 40,2

[State 3050, StatetypeSet]
type = StateTypeSet
trigger1 = pos y < 0
statetype = A

[State 3050, StatetypeSet]
type = StateTypeSet
trigger1 = pos y = 0
statetype = S

[State 3050, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;White Tiger
[Statedef 3100]
type = S
physics = N
movetype = A
sprpriority = 2
anim = ifelse(var(10)=1,3100,ifelse(var(10)=2,3103,3106))
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 3100, Cancels]
type = null
trigger1 = var(9):=0||e ;Special Cancel?
trigger1 = var(8):=0||e ;Jump Cancel?
trigger1 = var(7):=1 ;Super Cancel?

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 3100, Move]
type = velset
trigger1 = animelemtime(4) = 0
x = ifelse(var(10)=1,10.3,ifelse(var(10)=2,12.8,15.8))
y = -2.86

[State 3100, Gravity]
type = veladd
trigger1 = pos y < 0
x = -.7
y = .44

[State 3100, Gravity]
type = velset
trigger1 = vel y > 0
trigger1 = pos y >= 0
x = 0
y = 0

[State 3100, Fix]
type = posset
trigger1 = pos y > 0
y = 0

[State 3100, Effect]
type = explod
trigger1 = anim = 3100
trigger1 = animelemtime(3) = -2
trigger2 = anim != 3100
trigger2 = animelemtime(3) = -3
anim = anim+1
ID = 1
removeongethit = 1
bindtime = -1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 3
ignorehitpause = 0

[State 3100, Hitdef]
type = HitDef
trigger1 = time = ifelse(var(10)=1,9,ifelse(var(10)=2,14,17))
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage = ifelse(var(10)=1,67,ifelse(var(10)=2,82,100)), 0
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAFD                    ;Flags of conditions that move can hit
priority = 4, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = ifelse(var(10)=1,17,ifelse(var(10)=2,13,26)), ifelse(var(10)=4,24,12)
guard.pausetime = ifelse(var(10)=1,17,ifelse(var(10)=2,15,23)),ifelse(var(10)=4,20,13)
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
guard.slidetime = ifelse(var(10)=1,20,23)
ground.velocity = -3,-5.28             ;Velocity at which opponent is pushed
guard.velocity = ifelse(var(10)=1,-32.454938185,-31.9576953)*const(size.xscale)
guard.hittime = ifelse(var(10)=1,25,ifelse(var(10)=2,28,30))
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -3,-2.4
fall = 1
fall.recover = 24

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-155*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3100, WallHit]
type = TargetState
triggerall = NumTarget
trigger1 = var(10)=4
trigger1 = movehit
value = 2000
persistent = 0
ignorehitpause = 1

[State 3100, Effect]
type = explod
trigger1 = animelemtime(4) = 0
anim = anim+2
ID = 1
removeongethit = 1
bindtime = -1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 1
ignorehitpause = 0

[State 3100, Swish]
type = playsnd
trigger1 = animelemtime(4) = 0
value = 3100,1

[State 3100, Land]
type = playsnd
trigger1 = animelemtime(5) = 0
value = 40,2

[State 3100, StatetypeSet]
type = StateTypeSet
trigger1 = pos y < 0
statetype = A

[State 3100, StatetypeSet]
type = StateTypeSet
trigger1 = pos y = 0
statetype = S

[State 3100, Talk]
type = playsnd
trigger1 = animelemtime(4) = 0
value = 3100,0
channel = 1
volume = 255

[State 3100, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;Blue Dragon
[Statedef 3150]
type = S
physics = N
movetype = A
sprpriority = 2
anim = ifelse(var(10)=1,3150,ifelse(var(10)=2,3153,3156))
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 3150, StatetypeSet]
type = StateTypeSet
trigger1 = pos y < 0
statetype = A

[State 3150, StatetypeSet]
type = StateTypeSet
trigger1 = pos y = 0
statetype = S

[State 3150, Gravity]
type = veladd
triggerall = anim = [3150,3159]
trigger1 = animtime >= -11
y = .44

[State 3150, Effect]
type = explod
triggerall = anim = [3150,3159]
trigger1 = animelemtime(3) = 0
anim = anim+1
ID = 1
removeongethit = 1
bindtime = -1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 3
ignorehitpause = 0

[State 3150, Effect]
type = explod
triggerall = anim = [3150,3159]
trigger1 = animelemtime(4) = 0
anim = anim+2
ID = 1
removeongethit = 1
bindtime = -1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 3
ignorehitpause = 0

[State 3150, Hitdef]
type = HitDef
trigger1 = time = 4 * var(10)
attr = S, SA                     ;Attribute: Standing, Normal Attack
damage = ifelse(var(10)=1,80,ifelse(var(10)=2,100,120)), 0
animtype = Back                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAFD                   ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 28, 25                ;Time attacker pauses, time opponent shakes
guard.pausetime = 25,25
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
guard.slidetime = 8
ground.hittime  = 40             ;Time opponent is in hit state
ground.velocity = ifelse(var(10)=1,-2.5,ifelse(var(10)=2,-3.925,-4.44)),ifelse(var(10)=1,-8.47,ifelse(var(10)=2,-10.89,-13.31))-3
air.velocity = ifelse(var(10)=1,-2.5,ifelse(var(10)=2,-3.925,-4.44)),ifelse(var(10)=1,-8.47,ifelse(var(10)=2,-10.89,-13.31))/1.5-3
air.type = Low                  ;Type: High, Low, Trip (def: same as ground.type)
fall = 1
fall.recover = ifelse(var(10)=1,11,ifelse(var(10)=2,20,28))

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-210*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3150, Move]
type = velset
triggerall = anim = [3150,3159]
triggerall = animtime < -11
trigger1 = var(10) != 3
trigger1 = animelemtime(4) = 0
trigger2 = var(10) = 3
trigger2 = animelemtime(3) = 0
x = ifelse(var(10)=1,2.5,ifelse(var(10)=2,3.925,4.44))

[State 3150, Move]
type = velset
triggerall = anim = [3150,3159]
triggerall = animtime < -11
trigger1 = var(10) != 3
trigger1 = animelemtime(4) >= 0
trigger2 = var(10) = 3
trigger2 = animelemtime(3) >= 0
y = -5.28

[State 3150, Slow]
type = veladd
triggerall = anim = [3150,3159]
trigger1 = var(10) = 1
trigger1 = vel X > 1.86
x = -.08

[State 3150, Slow]
type = veladd
triggerall = anim = [3150,3159]
trigger1 = var(10) = 2
trigger1 = vel X > 2.875
x = -.075

[State 3150, Slow]
type = veladd
triggerall = anim = [3150,3159]
trigger1 = var(10) = 3
trigger1 = vel X > 2.88
x = -.06

[State 3150, Slow]
type = veladd
triggerall = anim = [3150,3159]
trigger1 = var(10) != 1
trigger1 = vel X <= 2.88
trigger1 = vel X > 2.36
x = -.065

[State 3150, Swish]
type = playsnd
trigger1 = animelemtime(3) = 0
value = 3150,1

[State 3150, Ctrl]
type = ctrlset
trigger1 = anim = [3150,3159]
trigger1 = animtime = 0
value = 1

[State 3150, StatetypeSet]
type = StateTypeSet
trigger1 = ctrl
movetype = I
physics = A

[State 3150, Talk]
type = playsnd
trigger1 = animelemtime(3) = 0
value = 3150,0
channel = 1
volume = 255

[State 3150, End]
type = Changeanim
trigger1 = anim = [3150,3159]
trigger1 = AnimTime = 0
value = 44
elem = 6


;===========================
;Phoenix
[Statedef 3200]
type = A
physics = N
movetype = A
sprpriority = 2
anim = 3200
velset = 0,0
ctrl = 0

[State Combo Dampener]
type = null
triggerall = time = 0
trigger1 = fvar(3) := 0.17
trigger1 = fvar(4) := 0.17

[State 3200, Effect]
type = explod
trigger1 = anim = 3200
trigger1 = animelemtime(2) = 0
anim = anim+1
ID = 1
removeongethit = 1
bindtime = -1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 3
ignorehitpause = 0

[State 3200, HitDef]
type = HitDef ;Stuff
trigger1 = time = 15 ;things
attr = A, SA ;okdsg
damage = 67, 0 ;yar
animtype = Back                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = HA                   ;Flags on how move is to be guarded against
hitflag = MAF                   ;Flags of conditions that move can hit
priority = 5, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
pausetime = 16, 14                ;Time attacker pauses, time opponent shakes
guard.pausetime = 17,13
sparkno = -1                      ;Spark anim no (Def: set above)
guard.sparkno = -1
hitsound = S10, 0                  ;Sound to play on hit
guardsound = S11, 0                ;Sound to play on guard
ground.type = Low               ;Type: High, Low, Trip (def: Normal)
guard.slidetime = 21
guard.hittime = 27
ground.velocity = -.5,10
guard.velocity = -16.46960*const(size.xscale)
airguard.velocity = -16.46960*const(size.xscale)/2,-3
air.velocity = -.5,10
fall = 1
fall.recover = 0
down.bounce = 1

[State 200, hitspark]
type = helper
trigger1 = time
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-30, ceil(-122*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 3200, Velset]
type = velset
trigger1 = animelemtime(10) = 0
y = .44
persistent = 0

[State 3200, StatetypeSet]
type = StateTypeSet
trigger1 = anim = 3200
trigger1 = animtime = 0
movetype = I
physics = A

[State 3200, Ctrlset]
type = ctrlset
trigger1 = anim = 3200
trigger1 = animtime = 0
value = 1

[State 3200, Swish]
type = playsnd
trigger1 = anim = 3200
trigger1 = animelemtime(2) = 0
value = 0,2

[State 3200, Booster]
type = playsnd
trigger1 = anim = 3200
trigger1 = animelemtime(2) = 0
value = 3200,0

[State 3200, Talk]
type = playsnd
trigger1 = anim = 3200
trigger1 = animelemtime(2) = 0
value = 3200,1
channel = 1
volume = 255

[State 3200, End]
type = Changeanim
trigger1 = anim = 3200
trigger1 = AnimTime = 0
value = 44
elem = 6

;===========================
;Throw Attempt 1
[Statedef 800]
type = S
physics = N
movetype = A
sprpriority = 2
anim = 800
velset = 0,0
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 800, 1]
type = HitDef
Trigger1 = Time = 6
attr = S, NT
hitflag = M-
priority = 1, Miss
sparkno = -1
hitsound = S800, 1
p1sprpriority = 1
p1facing = 1
p2facing = 1
p1stateno = 801
p2stateno = 810
guard.dist = 0
ground.hittime = 90

[State 800, Swish]
type = PlaySnd
trigger1 = time = 7
value = 0, 0

[State 800, Talk]
type = PlaySnd
trigger1 = time = 7
value = 800, 0
channel=1
volume = 255

[State 800, Miss]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;--------------------
;Throw success
[Statedef 801]
type = S
physics = S
movetype = H
velset = 0,0
ctrl = 0
sprpriority = 3
anim = 801

[State 801, hitspark]
type = Explod
trigger1 = time = 0
anim = 11003
ID = 11003
pos = 47,-75
scale = const(size.xscale),const(size.yscale)
sprpriority = 4
ontop = 1
ownpal = 1
ignorehitpause = 1
pausemovetime = 65535

[State 801, Bind]
type = Targetbind
trigger1 = animelemtime(4)<=0
pos = 38,0

[State 801, 1];Low Kick
type = HitDef
trigger1 = animelemtime(4) = 0
attr = S, NT
damage = 10
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag =                    ;Flags on how move is to be guarded against
hitflag = M                     ;Flags of conditions that move can hit
pausetime = 0, 4                 ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
hitsound = S10, 2                  ;Sound to play on hit
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the opponent slides back
ground.hittime  = 20             ;Time opponent is in hit state
ground.velocity = -7.9999*const(size.xscale)             ;Velocity at which opponent is pushed
kill=0

[State 200, hitspark]
type = helper
trigger1 = animelemtime(4) >= 0
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-49*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 801, Talk1]
type = PlaySnd
trigger1 = animelemtime(4) = 0
trigger1 = random = [0,800]
value = 200, random%3
channel=1
volume = 255

[State 801, Move]
type = veladd
trigger1 = animelemtime(8) = 0
trigger2 = animelemtime(17) = 0
x = 4

[State 801, 1];Axe Kick
type = HitDef
trigger1 = animelemtime(11) = 0
attr = S, NT
damage = 17
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag =                     ;Flags on how move is to be guarded against
hitflag = M                    ;Flags of conditions that move can hit
pausetime = 0,4                 ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
hitsound = S10, 2                  ;Sound to play on hit
ground.type = Low               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the opponent slides back
ground.hittime  = 30             ;Time opponent is in hit state
ground.velocity = -11.55596*const(size.xscale)             ;Velocity at which opponent is pushed
kill=0

[State 200, hitspark]
type = helper
trigger1 = animelemtime(11) >= 0
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-207*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 801, Talk2]
type = PlaySnd
trigger1 = animelemtime(11) = 0
trigger1 = random = [0,800]
value = 200, random%3
channel=1
volume = 255

[State 210, 1];Double Palm Strike
type = HitDef
trigger1 = animelemtime(18) = 0
attr = S, NT
damage = 40, 0                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = 
hitflag = M
pausetime = 0, 15               ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
hitsound = S10, 1                  ;Sound to play on hit
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the opponent slides back
ground.velocity = -4*const(size.xscale)             ;Velocity at which opponent is pushed
ground.hittime = 26
kill=1

[State 200, hitspark]
type = helper
trigger1 = animelemtime(18) >= 0
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-133*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 801, Talk3]
type = PlaySnd
trigger1 = animelemtime(18) = 0
trigger1 = random = [0,800]
value = 210, random%3
channel=1
volume = 255

[State Combo Dampener]
type = null
triggerall = animelemtime(18) >= 0
triggerall = movehit = 1
trigger1 = fvar(5) := .5

[State 801, End]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;--------------------
;Thrown
[Statedef 810]
type = S
physics = N
movetype = H
velset = 0,0
ctrl = 0
sprpriority = 2

[State 810, Anim]
type = ChangeAnim2
Trigger1 = Time = 0
value = 804

[State 810, GILL]
type = ChangeAnim2
trigger1 = Name = "Gill"
trigger1 = Authorname = "GM"
trigger1 = Facing = 1
trigger1 = anim != 805
value = 805
elem = animelemno(0)

[State 810, Safety]
type = Selfstate
trigger1 = !gethitvar(isbound)
value = 5050
ctrl = 1

;===========================
;Throw Attempt 2
[Statedef 850]
type = S
physics = N
movetype = A
sprpriority = 2
anim = 800
velset = 0,0
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 850, 1]
type = HitDef
Trigger1 = Time = 6
attr = S, NT
hitflag = M-
priority = 1, Miss
sparkno = -1
hitsound = S800, 1
p1sprpriority = 1
p1facing = 1
p2facing = 1
p1stateno = 851
p2stateno = 810
guard.dist = 0
ground.hittime = 90

[State 850, Swish]
type = PlaySnd
trigger1 = time = 7
value = 0, 0

[State 850, Talk]
type = PlaySnd
trigger1 = time = 7
value = 800, 0
channel=1
volume = 255

[State 850, Miss]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;--------------------
;Throw success 2
[Statedef 851]
type = S
physics = S
movetype = H
velset = 0,0
ctrl = 0
sprpriority = 3
anim = 802

[State 851, hitspark]
type = Explod
trigger1 = time = 0
anim = 11003
ID = 11003
pos = 47,-75
scale = const(size.xscale),const(size.yscale)
sprpriority = 4
ontop = 1
ownpal = 1
ignorehitpause = 1
pausemovetime = 65535

[State 851, Bind]
type = Targetbind
trigger1 = animelemtime(4)<=0
pos = 38,0

[State 851, 1]
type = HitDef
trigger1 = animelemtime(4) = 0
attr = S, NT
damage = 84, 0                   ;Damage that move inflicts, guard damage
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = 
hitflag = M
pausetime = 0, 7               ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
hitsound = S10, 1                  ;Sound to play on hit
ground.type = Low               ;Type: High, Low, Trip (def: Normal)
ground.velocity = 4,-4.4             ;Velocity at which opponent is pushed
p2facing = -1
fall = 1
fall.recover = 0

[State 200, hitspark]
type = helper
trigger1 = animelemtime(4) >= 0
trigger1 = movecontact
name = "Special Spark"
ID = ifelse(moveguarded,11102,11006)
postype = p2
pos = target,const(size.ground.front)-5, ceil(-14*const(size.yscale)-p2bodydist Y)
stateno = 11000
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 851, Talk]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 210,2
channel=1
volume = 255

[State 851, Effect]
type = explod
trigger1 = animelemtime(5) = 4
anim = 803
ID = 803
removeongethit = 1
ownpal = 1
scale = const(size.xscale),const(size.yscale)
sprpriority = 4
ignorehitpause = 0

[State 851, Boost]
type = PlaySnd
trigger1 = animelemtime(5) = 4
value = 800, 2

[State 851, End]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;===========================
;Throw Attempt Air
[Statedef 860]
type = S
physics = A
movetype = A
sprpriority = 2
anim = 810
ctrl = 0

[State Effect Reset]
type = removeexplod
trigger1 = !time
ID = 1

[State 860, 1]
type = HitDef
Trigger1 = Time = 2
trigger1 = enemynear, pos Y =  [pos Y-50, pos Y+10]
attr = A, NT
hitflag = A-
priority = 1, Miss
sparkno = -1
hitsound = S800, 1
p1sprpriority = 1
p1facing = 1
p2facing = 1
p1stateno = 861
p2stateno = 870
guard.dist = 0
ground.hittime = 90

[State 860, Swish]
type = PlaySnd
trigger1 = time = 3
value = 0, 0

[State 860, Talk]
type = PlaySnd
trigger1 = time = 4
value = 800, 0
channel=1
volume = 255

;--------------------
;Thrown
[Statedef 870]
type = L
physics = N
movetype = H
velset = 0,0
ctrl = 0
sprpriority = 2

[State 870, Anim]
type = ChangeAnim2
Trigger1 = Time = 0
value = 813

[State 870, GILL]
type = ChangeAnim2
trigger1 = Name = "Gill"
trigger1 = Authorname = "GM"
trigger1 = Facing = 1
trigger1 = anim != 814
value = 814
elem = animelemno(0)

[State 870, Safety]
type = Selfstate
trigger1 = !gethitvar(isbound)
value = 5050
ctrl = 1

;--------------
;Airthrow Success
[Statedef 861]
type = A
movetype = A
physics = N
velset = 0,0
anim = 811

[State 861, hitspark]
type = Explod
trigger1 = time = 0
anim = 11003
ID = 11003
pos = 47,-75
scale = const(size.xscale),const(size.yscale)
sprpriority = 4
ontop = 1
ownpal = 1
ignorehitpause = 1
pausemovetime = 65535

[State 861, Fix]
type = posset
trigger1 = pos y > 0
y = 0

[State 861, Anim]
type = changeanim
trigger1 = anim = 811
trigger1 = pos y = 0
value = 812

[State 861, Move]
type = velset
trigger1 = anim = 811
trigger1 = animelemtime(4) >= 0
x = .5
y = 10

[State 861, Bind]
type = targetbind
trigger1 = anim = 811
trigger1 = animelemtime(1) >=0 && animelemtime(2) < 0
pos = 38,0

[State 861, Bind]
type = targetbind
trigger1 = anim = 811
trigger1 = animelemtime(2) >=0 && animelemtime(3) < 0
pos = 28,0

[State 861, Bind]
type = targetbind
trigger1 = anim = 811
trigger1 = animelemtime(3) >=0 && animelemtime(4) < 0
pos = 40,-29

[State 861, Hitdef]
type = HitDef
trigger1 = anim = 812
attr = A, NT                     ;Attribute: Standing, Normal Attack
damage = 83                   ;Damage that move inflicts, guard damage
animtype = Back                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag =                    ;Flags on how move is to be guarded against
hitflag = MAFD                    ;Flags of conditions that move can hit
pausetime = 0, 5                 ;Time attacker pauses, time opponent shakes
sparkno = -1                      ;Spark anim no (Def: set above)
hitsound = S10, 2                  ;Sound to play on hit
ground.type = Low               ;Type: High, Low, Trip (def: Normal)
fall = 1
fall.recover = 0
down.bounce = 1
down.velocity = -.5, -2
persistent = 0

[State 861, Bind]
type = targetbind
trigger1 = anim = 811
trigger1 = animelemtime(4) >=0
trigger2 = anim = 812
trigger2 = !movehit
pos = 29,0

[State 861, StatetypeSet]
type = StateTypeSet
trigger1 = pos y < 0
statetype = A

[State 861, StatetypeSet]
type = StateTypeSet
trigger1 = pos y = 0
statetype = S

[State 861, Physics]
type = veladd
trigger1 = anim = 812
trigger1 = animelemtime(2) > 0
trigger1 = pos y < 0
y = .44

[State 861, Move]
type = velset
trigger1 = anim = 812
trigger1 = animelemtime(2) = 0
x = -3
y = -5.06

[State 861, Physics]
type = StateTypeSet
trigger1 = anim = 812
trigger1 = animelemtime(5) >= 0
trigger1 = pos y = 0
physics = S

[State 861, Stop]
type = velset
trigger1 = anim = 812
trigger1 = animelemtime(1) = 0
x = 0
y = 0

[State 861, End]
type = changestate
trigger1 = anim = 812
trigger1 = animtime = 0
value = 0
ctrl = 1